# Diagnostics library test faults
# These faults do not represent real robot faults or reactions
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

component: 'EPAS'
source_enum: kEmuEPAS
namespace: zoox::epas
can_messages:
  - status_msg: EPAS1_alertStatusA
  - status_msg: EPAS1_alertStatusB
  - status_msg: EPAS2_alertStatusA
  - status_msg: EPAS2_alertStatusB
can_import: firmware/common/can/generated/vh6/epas.h
can_namespace: vh6
faults:
  - id: 0
    name: GearVarUnTrim
    severity: ERROR
    description: Gear Variant Trim Value Error (Trxn Y)
    troubleshooting_steps: Inspect device gear. Work around is to retry steering
      calibration after physically moving the gear.
  - id: 1
    name: GearVarMisMatch
    severity: ERROR
    description: Gear Variant Trim Value Mismatch Error (Trxn Y) (not implemented)
    troubleshooting_steps: Check version of software on device, this should never get set
      in v1.7.1.
  - id: 2
    name: MotAgETCTrim
    severity: WARNING
    description: Motor Angle ETC Trim Error
    troubleshooting_steps: Inspect device sensors. Work around is to retry steering
      calibration.
  - id: 3
    name: MotAgTrim
    severity: WARNING
    description: Motor Angle Sensor Trim Failure
    troubleshooting_steps: Inspect device sensors. Work around is to retry steering calibration.
  - id: 4
    name: EMUEpasReqErr
    severity: ERROR
    description: EMU EPAS Request Error
    troubleshooting_steps: Verify that the EPAS request message is being set correctly
      and that the request was valid.
  - id: 5
    name: CurrSnsrCorrln
    severity: ERROR
    description: Motor Current Sensor Correlation Error
    troubleshooting_steps: Inspect device.
  - id: 6
    name: CurrSnsrCal
    severity: WARNING
    description: Motor Current Sensor Calibration
    troubleshooting_steps: Inspect device. Failure reaction is turned off for this.
  - id: 7
    name: MotAg1
    severity: ERROR
    description: Motor Angle Sensor Die 1 Error (Trxn Y)
    troubleshooting_steps: Inspect device, may need to replace.
  - id: 8
    name: MotAg2
    severity: ERROR
    description: Motor Angle Sensor Die 2 Error (Trxn Y)
    troubleshooting_steps: Inspect device, may need to replace.
  - id: 9
    name: MotAgCorrln
    severity: ERROR
    description: Motor Angle Sensor Correlation Error (Trxn Y)
    troubleshooting_steps: Inspect device for sensor issues.
  - id: 10
    name: TempSnsrCorrln
    severity: ERROR
    description: Temperature Sensor Out of Range Error
    troubleshooting_steps: Check temperature around device.
  - id: 11
    name: TempSnsrStuck
    severity: WARNING
    description: Temperature Sensor Stuck In Range Error
    troubleshooting_steps: Inspect device. Failure reaction turned off for this.
  - id: 12
    name: MCUSMU
    severity: ERROR
    description: MCU Safety Diagnostics Failure
    troubleshooting_steps: Inspect device.
  - id: 13
    name: MCUMPU
    severity: ERROR
    description: MCU Memory Protection Failure
    troubleshooting_steps: Inspect device.
  - id: 14
    name: MCUFPU
    severity: ERROR
    description: MCU Floating Point Unit Failure
    troubleshooting_steps: Inspect device.
  - id: 15
    name: IntWdgTO
    severity: ERROR
    description: MCU Internal Watchdog Timeout
    troubleshooting_steps: Inspect device.
  - id: 16
    name: WdgMgrSupVsn
    severity: ERROR
    description: Watchdog Manager - Alive or Logical Supervision Failure
    troubleshooting_steps: Inspect device.
  - id: 17
    name: ExtWdgFailr
    severity: ERROR
    description: External Watchdog Failure Reported by Regulator IC
    troubleshooting_steps: Inspect device.
  - id: 18
    name: LoBattU
    severity: ERROR
    description: Battery Low Voltage Detected (Trxn Y)
    troubleshooting_steps: Inspect harness, verify power lines and  voltage.
  - id: 19
    name: HiBattU
    severity: ERROR
    description: Battery High Voltage Detected (Trxn Y)
    troubleshooting_steps: Inspect harness, verify power lines and  voltage.
  - id: 20
    name: BattUCorrlnErr
    severity: ERROR
    description: Backup ECU Current Reasonableness Error
    troubleshooting_steps: Inspect device and harness power.
  - id: 21
    name: RegUFailr
    severity: ERROR
    description: Regulator Voltage Failure Reported by Regulator IC
    troubleshooting_steps: Inspect device and harness power.
  - id: 22
    name: BattBrdgUCorrln
    severity: ERROR
    description: Battery vs Bridge Voltage Correlation Error
    troubleshooting_steps: Inspect device and harness power for inconsitencies.
  - id: 23
    name: LoBattBrdgU
    severity: ERROR
    description: Bridge Undervoltage Detected
    troubleshooting_steps: Inspect device.
  - id: 24
    name: GateDriver
    severity: ERROR
    description: Gate Driver Diagnostic
    troubleshooting_steps: Inspect device.
  - id: 25
    name: PhaFbDiagc
    severity: WARNING
    description: Phase Feedback Diagnostic Failure (not implemented)
    troubleshooting_steps: Check version of software on device, this should never get set in v1.7.1.
  - id: 26
    name: PICtrl
    severity: ERROR
    description: Current Control Diagnostic Failure
    troubleshooting_steps: Inspect device and harness power.
  - id: 27
    name: FeedFwdDiagc
    severity: ERROR
    description: Feed Forward Algorithm Diagnostic Failure
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 28
    name: MotPrmEstmn
    severity: WARNING
    description: Motor Parameter Estimation Failure
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 29
    name: CogTqTblDiagc
    severity: WARNING
    description: Motor Cogging Torque Table Diagnostic Failure (not implemented)
    troubleshooting_steps: Check version of software on device, this should never get set in v1.7.1.
  - id: 30
    name: MotAgEtcInitCorrln
    severity: ERROR
    description: Motor Angle ETC Init Correlation Error
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 31
    name: TurnsCntCorrln
    severity: ERROR
    description: Turns Count Correlation Error
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 32
    name: FspPwrCut
    severity: ERROR
    description: FSP Power Cut Diagnostic Failure
    troubleshooting_steps: Inspect device and harness power.
  - id: 33
    name: HSFETDiscnct
    severity: WARNING
    description: High Side FET Disconnect Failure (not implemented)
    troubleshooting_steps: Check version of software on device, this should never get set in v1.7.1.
  - id: 34
    name: PhaDiscnct
    severity: WARNING
    description: Phase Disconnect Failure (not implemented)
    troubleshooting_steps: Check version of software on device, this should never get set in v1.7.1.
  - id: 35
    name: ECUArbnDiagc
    severity: ERROR
    description: ECUs INIT Arbitration Failure
    troubleshooting_steps: Inspect device, reboot vehicle. If it persists, forward CAN
      logs to Firmware support.
  - id: 36
    name: ECUSWCRC
    severity: ERROR
    description: CRC Mismatch Between ECU1 and ECU2 Software
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 37
    name: CANBusOff
    severity: WARNING
    description: CAN Bus Off Detected on Vehicle Bus
    troubleshooting_steps: Inspect harness, verify connection between EPAS and EMU.
  - id: 38
    name: PvtCANBusOff
    severity: WARNING
    description: CAN Bus Off Detected on Private CAN Bus
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 39
    name: EPASReqMia
    severity: WARNING
    description: EMU EPAS Request(0x120)/(0x124) Message Absent
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus.
  - id: 40
    name: EPASReqCnt
    severity: WARNING
    description: EMU EPAS Request (0x120)/(0x124) Message Counter Error
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus and counter is indexing correctly.
  - id: 41
    name: EPASReqChks
    severity: WARNING
    description: EMU EPAS Request (0x120)/(0x124) Checksum Error
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus and verify the checksum.
  - id: 42
    name: VehDymcsMia
    severity: WARNING
    description: EMU Vehicle Dynamics (0x203) Message Absent
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus.
  - id: 43
    name: VehDymcsCnt
    severity: WARNING
    description: EMU Vehicle Dynamics  (0x203) Message Counter Error
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus and counter is indexing correctly.
  - id: 44
    name: VehDymcsChks
    severity: WARNING
    description: EMU Vehicle Dynamics  (0x203) Checksum Error
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus and verify the checksum.
  - id: 45
    name: VehDymcsVld
    severity: WARNING
    description: EMU Vehicle Dynamics  (0x203) Validity Error
    troubleshooting_steps: Check Vehicle Dynamics message for validity flag.
  - id: 46
    name: VehStsLRMia
    severity: WARNING
    description: EMU Vehicle Status (0x500) Message Absent
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus.
  - id: 47
    name: VehStsLRCnt
    severity: WARNING
    description: EMU Vehicle Status  (0x500) Message Counter Error
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus and counter is indexing correctly.
  - id: 48
    name: VehStsLRChks
    severity: WARNING
    description: EMU Vehicle Status  (0x500) Checksum Error
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus and verify the checksum.
  - id: 49
    name: UTCMia
    severity: WARNING
    description: EMU UTC Time (0x501) Message Absent
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus.
  - id: 50
    name: ECUStsMiaOnPublic
    severity: WARNING
    description: ECU Status Message Absent on Public CAN
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus.
  - id: 51
    name: ECUStsMiaOnPriv
    severity: WARNING
    description: ECU Status Message Absent on Private CAN
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 52
    name: ECUStsCntOnPublic
    severity: WARNING
    description: ECU Status Message Counter Error on Public CAN
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus and counter is indexing correctly.
  - id: 53
    name: ECUStsCntOnPriv
    severity: WARNING
    description: ECU Status Message Counter Error on Private CAN
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 54
    name: ECUStsChksOnPublic
    severity: WARNING
    description: ECU Status Message CRC Error on Public CAN
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Verify if this message is present on bus and verify the checksum.
  - id: 55
    name: ECUStsChksOnPriv
    severity: WARNING
    description: ECU Status Message CRC Error on Private CAN
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 56
    name: CombinedEcuCANErr
    severity: ERROR
    description: Combined ECU CAN Error on Backup ECU only
    troubleshooting_steps: Inspect harness, verify the connection between EPAS and EMU.
      Also inspect device as this involves their internal private CAN bus as well.
      Backup is now active.
  - id: 57
    name: NvMDescBlkCRCInvld
    severity: ERROR
    description: NvM descriptor block CRC Invalid
    troubleshooting_steps: Inspect harness.
  - id: 58
    name: AutoCentrRngChk
    severity: WARNING
    description: Auto calibration range check error
    troubleshooting_steps: Inspect device, check physical stops on rack and rerun
      steering calibration.
  - id: 59
    name: FinalTrCmdCorrln
    severity: ERROR
    description: Final Torque Command Algorithm Correlation Error
    troubleshooting_steps:
  - id: 60
    name: TqRampCtrl
    severity: ERROR
    description: Torque Ramp Control Algorithm Correlation Error
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 61
    name: IncorrShutdownErr
    severity: WARNING
    description: Incorrect ECU Shutdown Error
    troubleshooting_steps: Check power down sequence for timing, rerun power down, may
      need to rerun steering calibration.
  - id: 62
    name: MotAgEtcInitMiaPublic
    severity: WARNING
    description: Motor Angle ETC Init Message missing on public CAN
    troubleshooting_steps: Inspect harness. Verify message is on CAN.
  - id: 63
    name: MotAgEtcInitMiaPriv
    severity: WARNING
    description: Motor Angle ETC Init Message missing on private CAN
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 64
    name: MotAgEtcInitCrcPublic
    severity: WARNING
    description: Motor Angle ETC Init Message CRC Error on public CAN
    troubleshooting_steps: Inspect harness, verify message checksum.
  - id: 65
    name: MotAgEtcInitCrcPriv
    severity: WARNING
    description: Motor Angle ETC Init Message CRC Error on private CAN
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 66
    name: LifeCntrLimitRchd
    severity: WARNING
    description: Life Counter Limit reached
    troubleshooting_steps: End of life has been reached, replace device.
  - id: 67
    name: XCPActivated
    severity: WARNING
    description: XCP activated during EOL diagnostic
    troubleshooting_steps: Rerun EOL diagnostic.
  - id: 68
    name: Reserved6
    severity: INFO
    description: None, caused by None None
  - id: 69
    name: Reserved7
    severity: INFO
    description: None, caused by None None
  - id: 70
    name: PosnTackingCtrlFailr
    severity: WARNING
    description: Position tracking controller failure due to the control algorithm.
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 71
    name: PosnTrackingEstimrFlt
    severity: WARNING
    description: Position tracking Estimator failure.
    troubleshooting_steps: Inspect device. Forward CAN logs to Firmware support.
  - id: 72
    name: TarTackPosnCorrl
    severity: WARNING
    description: Target rack position correlation between ECUs.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
